# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is the Netscape security libraries.
# 
# The Initial Developer of the Original Code is Netscape
# Communications Corporation.  Portions created by Netscape are 
# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
# Rights Reserved.
# 
# Contributor(s):
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License Version 2 or later (the
# "GPL"), in which case the provisions of the GPL are applicable 
# instead of those above.  If you wish to allow use of your 
# version of this file only under the terms of the GPL and not to
# allow others to use your version of this file under the MPL,
# indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by
# the GPL.  If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.
#

#######################################################################
# Set the LDFLAGS value to encompass all normal link options, all     #
# library names, and all special system linking options               #
#######################################################################

#LDFLAGS = \
#	$(DYNAMIC_LIB_PATH) \
#	$(LDOPTS) \
#	$(LIBSECTOOLS) \
#	$(LIBNSS)	\
#	$(LIBSSL) \
#	$(LIBPKCS7) \
#	$(LIBCERT) \
#	$(LIBKEY) \
#	$(LIBSECMOD) \
#	$(LIBCRYPTO) \
#	$(LIBSECUTIL) \
#	$(LIBHASH) \
#	$(LIBKEY) \
#	$(LIBDBM) \
#	$(LIBPLC) \
#	$(LIBPLDS) \
#	$(LIBPR) \
#	$(LIBPKCS7) \
#	$(DLLSYSTEM) 

#######################################################################
# Adjust specific variables for all platforms                         #
#######################################################################
 


# can't do this in manifest.mn because OS_ARCH isn't defined there.
ifeq ($(OS_ARCH), WINNT)

EXTRA_LIBS = \
$(DIST)/lib/nss.lib \
$(DIST)/lib/sectool.lib \
$(DIST)/lib/pkcs7.lib \
$(DIST)/lib/cert.lib \
$(DIST)/lib/key.lib \
$(DIST)/lib/secmod.lib \
$(DIST)/lib/crypto.lib \
$(DIST)/lib/ssl.lib \
$(DIST)/lib/secutil.lib \
$(DIST)/lib/hash.lib \
$(DIST)/lib/dbm.lib \
$(DIST)/lib/$(NSPR31_LIB_PREFIX)plc3.lib \
$(DIST)/lib/$(NSPR31_LIB_PREFIX)plds3.lib \
$(DIST)/lib/$(NSPR31_LIB_PREFIX)nspr3.lib \
$(NULL)

OS_LIBS += \
        wsock32.lib \
        winmm.lib \
        $(NULL)

ifndef BUILD_OPT
LDFLAGS   +=  /subsystem:console /profile /debug /machine:I386 /incremental:no
OS_CFLAGS += -D_CONSOLE
endif

else

EXTRA_LIBS += \
$(DIST)/lib/libnss.a \
$(DIST)/lib/libsectool.a \
$(DIST)/lib/libpkcs7.a \
$(DIST)/lib/libcert.a \
$(DIST)/lib/libkey.a \
$(DIST)/lib/libsecmod.a \
$(DIST)/lib/libcrypto.a \
$(DIST)/lib/libssl.a \
$(DIST)/lib/libsecutil.a \
$(DIST)/lib/libhash.a \
$(DIST)/lib/libdbm.a \
$(DIST)/lib/libplc3.a \
$(DIST)/lib/libplds3.a \
$(DIST)/lib/libnspr3.a \
$(NULL)

endif

